Retrieves all the user_planning_slot

Request Information

URI Parameters :

None.

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

user_planning_slot
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

user_id

Foreign key to user.

globally unique identifier

Required

user_planning_slot_type_id

Foreign key to user planning slot type id.

globally unique identifier

Required

date_from

Date from,

date
date_to

Date to,

date
description

Description of user planning slot.

string
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating.

date

Response Formats

application/json, text/json

Sample:
{
  "id": "9246f207-42ac-46ca-8e82-89d1662b5f05",
  "user_id": "929fb9ec-b849-4f84-bf36-9329dabe1817",
  "user_planning_slot_type_id": "c70a96f2-f02f-49ca-b4c2-7c4d60517103",
  "date_from": "2026-10-31T17:39:37.9323242+00:00",
  "date_to": "2026-10-31T17:39:37.9323242+00:00",
  "description": "sample string 6",
  "modified_dateutc": "2026-10-31T17:39:37.9323242+00:00"
}